/*
 * funny.h: header for funny.c
 *
 * written by michael sandrof
 *
 * copyright(c) 1990 
 *
 * see the copyright file, or do a help ircii copyright 
 *
 * @(#)$Id: funny.h,v 1.4 1994/07/02 02:38:10 mrg Exp $
 */

#ifndef _FUNNY_H_
#define _FUNNY_H_

#define FUNNY_PUBLIC 1
#define FUNNY_PRIVATE 2
#define FUNNY_TOPIC  4
#define FUNNY_WIDE   8
#define FUNNY_USERS  16
#define FUNNY_NAME   32

extern	void	set_funny_flags __P((int, int, int));
extern	void	funny_match __P((char *));
extern	void	reinstate_user_modes __P((void));
extern	void	funny_set_ignore_channel __P((char *));
extern	void	funny_print_widelist __P((void));
extern	void	funny_list __P((char *, char **));
extern	void	funny_mode __P((char *, char **));
extern	void	funny_namreply __P((char *, char **));
extern	int	funny_is_ignore_channel __P((void));
extern	void	update_user_mode __P((char *));
extern	void	funny_set_ignore_mode __P((void));

#endif /* _FUNNY_H_ */
